Jump to content

Beta Testing Issues


Recommended Posts

Posted (edited)

Hi Jastey,

I very recently reinstalled BGT and I take this advantage to install BG Sea Tower :)

I found a small error when installing the mod on Ubuntu: the setup-bst.tp2 file is not in the main BG2 directory, so the command weinstall setup-bst won't work properly:

weinstall setup-bst
Error: Failure("ERROR: TP2 file not found.")

I just copied the file in the main directory and that works fine ^^

Let's start a brand new game with an elf sorceress and visit that new district!

Thanks for the work!

Edited by Mornagest
Link to comment

I just want to say that this mod appears to be great, CONGRATULATION ! I'd love to play with it installed in the megamod, but there is a question I need an answer to, that I can't find anywhere in the net:

following BWP v19.1 book, this mod is positioned at the end of "3 - BG1 QUEST MODS" chapter, and it is suggested to install "BP-BGT Worldmap" after it.

But if I install Seatower without the worldmap already installed, I get INSTALLED WITH WARNINGS, in particular:

"links from AR8100 were not added because AR8100 does not exist in the worldmap.wmp"

then it says:

"1 areas and 2 links added to worldmap.wmp"

hence I don't understand if it's fine as it is (so I can go on with it and when "BP-BGT Worldmap" is installed near the end of the megamod all things get fixed) , or if it's better to install Seatower right after "BP-BGT Worldmap" (as I already tried to do, and it gives me "SUCCESSFULLY INSTALLED" message).

Thanks for any suggestion, the Noob has just spoken...

Edited by seatower
typo
Link to comment

Hi @seatower welcome to the forum!

I've seen this error message before on a BGT install, it's really weird because AR1800 is the Dock's district which I am very sure is present in your game..

I do recommend installing the Worldmap Mod after other mods - in this case after BST, too - because installing it first leads to shifted worldmap icons for the mods installed after. - They work and all, but they are not at the place they are supposed to be. This is something that would have to be fixed in the Worldmap Mod but I can't do that.

With installing BST first and Worldmap Mod second you should be fine though as the current open beta adds a direct travel trigger from the Docks to the Tower area anyway. In case you have problems reaching the area let us know.

Thanks for the kind words!

Link to comment

Hi jastey , you are welcome ! And thanks for the recommendation , but indeed the name of the area which gives me the warning is not AR1800 but AR8100, I've re-checked the log.

This happens installing Seatower with Project Infinity and installing it "manually" as well, using as source beta4, beta5 and beta6. I will do as you say, bypassing the warning and moving on.

Got to say I'm really enthralled by the dynamics behind the coding of such wonderful creations ! A pity I did not start to study such stuffs when I was 10 !

Forgot to say I'm onto BGT, vanilla, would you say I may safely install the latest beta in place of the v4, recommended by BWP? Thanks again !

Edited by seatower
Link to comment
40 minutes ago, seatower said:

the name of the area which gives me the warning is not AR1800 but AR8100

Yes, AR8100 is the one I meant, it's the Dock's District in BG. I've seen this error warning before but I can't reproduce it, unfortunately.

44 minutes ago, seatower said:

Forgot to say I'm onto BGT, vanilla, would you say I may safely install the latest beta in place of the v4, recommended by BWP?

Yes, absolutely.

 

Link to comment

@seatowerthanks. I'd need two more things:

-your weidu.log

-a changelog for the worldmap.wmp file. See here for how to make a changelog on a game file.

We are trying to identify which mods makes changes to the worldmap.wmp so the incompatibility arises.

Link to comment
Quote

@seatowerthanks. I'd need two more things:

-your weidu.log

-a changelog for the worldmap.wmp file. See here for how to make a changelog on a game file.

We are trying to identify which mods makes changes to the worldmap.wmp so the incompatibility arises.

jastey here are the logs you asked for...excuse me if I've posted the wrong file before, but my knowledge of the things is near zero, hope these ones can help your investigations.

 

change-log worldmap.txt WeiDU.log

Edited by seatower
Link to comment

@seatower you're doing great! Thanks for the files.

You have an unfortunate install order. The updated versions of Check the Bodies and Region of Terror need to be installed after the main BGT mod. This is also the cause for the install issue and will probably lead to problems in your game. I'd recommend a reinstall. BG2Fixpack should be one of the first mods, then BGT. ToBEx first is ok I think. But all mods you put before BGT should be reevaluated; CtB and RoT current versions definitely need to be installed after BGT.

Link to comment
52 minutes ago, jastey said:

You have an unfortunate install order. The updated versions of Check the Bodies and Region of Terror need to be installed after the main BGT mod. This is also the cause for the install issue and will probably lead to problems in your game. I'd recommend a reinstall. BG2Fixpack should be one of the first mods, then BGT. ToBEx first is ok I think. But all mods you put before BGT should be reevaluated; CtB and RoT current versions definitely need to be installed after BGT

Thanks for this !! I wouldn't have ever figured out by myself, even tho I don't get why in the book they are put before BGT (probably because the people behind BWP are going to make a new re-arrangement of the mods' order in brief time and for the 19.1 version they are still keeping the "classic" order that was fine with the older CtB & RoT versions).  

So what about if I put as very first three ToBEx, BG2Fixpack and BGT, and then follow my order as in the weidu log ? Do you think it could be a better solution?

52 minutes ago, jastey said:

you're doing great!

lol .. thanks for your assistance jastey ! I'm going to report back asap

Edited by seatower
Link to comment
4 minutes ago, seatower said:

even tho I don't get why in the book they are put before BGT

I had a glimps at BWP19 (before it was further updated) and I think @Leonardo Watson is still referencing the older mod versions, which indeed needed to be installed before BGT.

I think it is fine to install the current versions of RoT and CtB somewhere between the other quest mods (definitely better than before BGT ^^).

EDIT: thanks for reporting and attaching the files. It helped us identify the problem, too.

 

Link to comment
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

√ó
√ó
  • Create New...